<?

if (isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && !ereg('(rules)|(smiles)|(secure)|(aut)|(reg)|(umenu)|(zakl)|(mail)|(anketa)|(settings)|(avatar)|(info)\.php',$_SERVER['SCRIPT_NAME']))
$_SESSION['refer']=NULL;

function otkuda($ref)
{
if (eregi('^/forum/',$ref))
$mesto='в форуме';
elseif (eregi('^/chat/',$ref))
$mesto='в чате';
elseif (eregi('^/lib/',$ref))
$mesto='Библиотека';
elseif (eregi('^/news/',$ref))
$mesto='в новостях';
elseif (eregi('^/poisk/',$ref))
$mesto='в поиске mp3';
elseif (eregi('^/votes/',$ref))
$mesto='Голосования';
elseif (eregi('^/otvety/',$ref))
$mesto='Вопросы-Ответы';
elseif (eregi('^/love\.php',$ref))
$mesto='в знакомствах';
elseif (eregi('^/blog/',$ref))
$mesto='в дневниках';
elseif (eregi('^/igra/',$ref))
$mesto='Викторина';
elseif (eregi('^/comm/',$ref))
$mesto='в сообщесавах';
elseif (eregi('^/servis/',$ref))
$mesto='в сервисах';
elseif (eregi('^/obj/',$ref))
$mesto='в объявлениях';
elseif (eregi('^/loads/',$ref))
$mesto='в загрузках';
elseif (eregi('^/users\.php',$ref))
$mesto='в обитателях';
elseif (eregi('^/online\.php',$ref))
$mesto='кто в онлайне';
elseif (eregi('^/info\.php',$ref))
$mesto='на сайте';
elseif (eregi('^/umenu\.php',$ref))
$mesto='в настройках';
elseif (eregi('^/mail\.php',$ref))
$mesto='в почте';
elseif (eregi('^/konts\.php',$ref))
$mesto='в контактах';
elseif (eregi('^/settings\.php',$ref))
$mesto='в настройках';
elseif (eregi('^/men\.php',$ref))
$mesto='в знакомствах';
elseif (eregi('^/women\.php',$ref))
$mesto='в знакомствах';
elseif (eregi('^/lenta\.php',$ref))
$mesto='в ленте';
elseif (eregi('^/frend\.php',$ref))
$mesto='в друзьях';
elseif (eregi('^/jurnal\.php',$ref))
$mesto='в журнале';
elseif (eregi('^/us_guest/',$ref))
$mesto='в гостевой';
elseif (eregi('^/my/',$ref))
$mesto='в файлах';
elseif (eregi('^/ank\.php',$ref))
$mesto='в анкете';
elseif (eregi('^/glav\.php',$ref))
$mesto='Лидеры дня';
elseif (eregi('^/fa\.php',$ref))
$mesto='в новых файлах';
elseif (eregi('^/igra\.php',$ref))
$mesto='в играх';
elseif (eregi('^/game/',$ref))
$mesto='Fallout Quest';
elseif (eregi('^/fermer/',$ref))
$mesto='Веселый фермер';
elseif (eregi('^/search\.php',$ref))
$mesto='в анкетах';
elseif (eregi('^/icqshop/',$ref))
$mesto='ICQ Раздача';
elseif (eregi('^/gorod/',$ref))
$mesto='В городе';
elseif (eregi('^/ban\.php',$ref))
$mesto='забанен';
elseif (eregi('^/ban_ip\.php',$ref))
$mesto='ip забанен';
elseif (eregi('^/casino/',$ref))
$mesto='в казино';
elseif (eregi('^/igra/',$ref))
$mesto='В викторине';
elseif (eregi('^/rating/',$ref))
$mesto='Покупает рейтинг';
elseif (eregi('^/present/',$ref))
$mesto='в подарках';
elseif (eregi('^/pages/',$ref))
$mesto='меняет цвет';
elseif (eregi('^/shooter/',$ref))
$mesto='в охотнике';
elseif (eregi('^/foto/',$ref))
$mesto='в фото';
elseif (eregi('^/wcat/',$ref))
$mesto='в каталоге';


elseif (eregi('^/online_g\.php',$ref))
$mesto='гости сайта';
elseif (eregi('^/reg\.php',$ref))
$mesto='Регистрация';
elseif (eregi('^/obmen/',$ref))
$mesto='в зоне обмена';
elseif (eregi('^/aut\.php',$ref))
$mesto='Авторизация';
elseif (eregi('^/index\.php',$ref))
$mesto='на главной';
elseif (eregi('^/\??$',$ref))
$mesto='';
else
$mesto=false;
return $mesto;
}


?>

